| showpep

## Wiki

The master copies of EMBOSS documentation are available at http://emboss.open-bio.org/wiki/Appdocs on the EMBOSS Wiki.

Please help by correcting and extending the Wiki pages.

## Function

Display protein sequences with features in pretty format

## Description

showpep displays one or more protein sequences, with features, in a style suitable for publication. The output is sent to screen by default but can be written to file. You may pick a format from a list, alternatively, use the many options to control what is output and in what format. Optionally, the sequence feature table can be displayed. There are various other options for controlling how the sequence is displayed and numbered and the output can be formatted for HTML.

## Usage

Here is a sample session with showpep

    % showpep tsw:laci_ecoli -sbeg 1 -send 100
    Display protein sequences with features in pretty format
    Things to display
             0 : Enter your own list of things to display
             1 : Sequence only
             2 : Default sequence with features
             3 : Pretty sequence 4:Baroque
    Display format [2]:
    Output file [laci_ecoli.showpep]:

Go to the input files for this example
Go to the output files for this example

Example 2

The standard list of output formats are only a small selection of the possible ways in which a sequence might be displayed. Precise control over the output format is acheived by selecting the qualifier '-format 0' (Option 0 in the list of things to display). For example, by choosing format '0' and then specifying that we want to display the things: 'b,t,s', we will output the sequence in the following way:

    % showpep tsw:laci_ecoli -sbeg 1 -send 120
    Display protein sequences with features in pretty format
    Things to display
             0 : Enter your own list of things to display
             1 : Sequence only
             2 : Default sequence with features
             3 : Pretty sequence 4:Baroque
    Display format [2]: 0
    Specify your own things to display
             S : Sequence
             B : Blank line
             T : Ticks line
             N : Number ticks line
             F : Features
             A : Annotation
    Enter a list of things to display [B,N,T,S,A,F]: b,t,s
    Output file [laci_ecoli.showpep]:

Go to the output files for this example

Example 3

Display only the sequence:

    % showpep tsw:laci_ecoli -sbeg 1 -send 100 -noname -nodesc -format 0 -thing S
    Display protein sequences with features in pretty format
    Output file [laci_ecoli.showpep]:

Go to the output files for this example

Example 4

Protein sequence can be displayed in three-letter codes. (The codes are displayed downwards, so the first code is 'Met'):

    % showpep tsw:rs24_takru -three -format 2
    Display protein sequences with features in pretty format
    Output file [rs24_takru.showpep]:

Go to the input files for this example
Go to the output files for this example

Example 5

Number the sequence lines in the margin:

    % showpep tsw:laci_ecoli -sbeg 1 -send 100 -format 1 -number
    Display protein sequences with features in pretty format
    Output file [laci_ecoli.showpep]:

Go to the output files for this example

Example 6

Start the numbering at a specified value ('123' in this case):

    % showpep tsw:laci_ecoli -sbeg 1 -send 100 -format 1 -number -offset 123
    Display protein sequences with features in pretty format
    Output file [laci_ecoli.showpep]:

Go to the output files for this example

Example 7

Make selected regions uppercase. (Use '-slower' to force the rest of the sequence to be lowercase).

    % showpep tsw:laci_ecoli -sbeg 1 -send 100 -format 1 -slower -upper "17-17,22-22"
    Display protein sequences with features in pretty format
    Output file [laci_ecoli.showpep]:

Go to the output files for this example

Example 8

Add your own annotation to the display:

    % showpep tsw:laci_ecoli -sbeg 1 -send 100 -format 2 -send 120 -annotation "6-25 binding site 17-17 SNP 22-22 SNP"
    Display protein sequences with features in pretty format
    Output file [laci_ecoli.showpep]:

Go to the output files for this example

## Command line arguments

    Display protein sequences with features in pretty format
    Version: EMBOSS:6.6.0.0

       Standard (Mandatory) qualifiers (* if not always prompted):
      [-sequence]          seqall     (Gapped) protein sequence(s) filename and
                                      optional format, or reference (input USA)
       -format             menu       [2] Display format (Values: 0 (Enter your
                                      own list of things to display); 1 (Sequence
                                      only); 2 (Default sequence with features); 3
                                      (Pretty sequence 4:Baroque))
    *  -things             menu       [B,N,T,S,A,F] Specify a list of one or more
                                      code characters in the order in which you
                                      wish things to be displayed one above the
                                      other down the page. For example if you wish
                                      to see things displayed in the order:
                                      sequence, ticks line, blank line; then you
                                      should enter 'S,T,B'. (Values: S (Sequence);
                                      B (Blank line); T (Ticks line); N (Number
                                      ticks line); F (Features); A (Annotation))
      [-outfile]           outfile    [*.showpep] Output file name

       Additional (Optional) qualifiers:
       -uppercase          range      [If this is left blank, then the sequence
                                      case is left alone.] Regions to put in
                                      uppercase.
                                      If this is left blank, then the sequence
                                      case is left alone.
                                      A set of regions is specified by a set of
                                      pairs of positions.
                                      The positions are integers.
                                      They are separated by any non-digit,
                                      non-alpha character.
                                      Examples of region specifications are:
                                      24-45, 56-78
                                      1:45, 67=99;765..888
                                      1,5,8,10,23,45,57,99
       -highlight          range      [(full sequence)] Regions to colour if
                                      formatting for HTML.
                                      If this is left blank, then the sequence is
                                      left alone.
                                      A set of regions is specified by a set of
                                      pairs of positions.
                                      The positions are integers.
                                      They are followed by any valid HTML font
                                      colour.
                                      Examples of region specifications are:
                                      24-45 blue 56-78 orange
                                      1-100 green 120-156 red
                                      A file of ranges to colour (one range per
                                      line) can be specified as '@filename'.
       -annotation         range      [If this is left blank, then no annotation
                                      is added.] Regions to annotate by marking.
                                      If this is left blank, then no annotation is
                                      added.
                                      A set of regions is specified by a set of
                                      pairs of positions followed by optional
                                      text.
                                      The positions are integers.
                                      They are followed by any text (but not
                                      digits when on the command-line).
                                      Examples of region specifications are:
                                      24-45 new domain 56-78 match to Mouse
                                      1-100 First part 120-156 oligo
                                      A file of ranges to annotate (one range per
                                      line) can be specified as '@filename'.
       -sourcematch        string     [*] By default any feature source in the
                                      feature table is shown. You can set this to
                                      match any feature source you wish to show.
                                      The source name is usually either the name
                                      of the program that detected the feature or
                                      it is the feature table (eg: EMBL) that the
                                      feature came from.
                                      The source may be wildcarded by using '*'.
                                      If you wish to show more than one source,
                                      separate their names with the character '|',
                                      eg:
                                      gene* | embl (Any string)
       -typematch          string     [*] By default any feature type in the
                                      feature table is shown. You can set this to
                                      match any feature type you wish to show.
                                      See http://www.ebi.ac.uk/embl/WebFeat/ for a
                                      list of the EMBL feature types and see
                                      Appendix A of the Swissprot user manual in
                                      http://www.expasy.org/sprot/userman.html for
                                      a list of the Swissprot feature types.
                                      The type may be wildcarded by using '*'.
                                      If you wish to show more than one type,
                                      separate their names with the character '|',
                                      eg:
                                      *UTR | intron (Any string)
       -minscore           float      [0.0] Minimum score of feature to display
                                      (see also maxscore) (Any numeric value)
       -maxscore           float      [0.0] Maximum score of feature to display.
                                      If both minscore and maxscore are zero (the
                                      default), then any score is ignored (Any
                                      numeric value)
       -tagmatch           string     [*] Tags are the types of extra values that
                                      a feature may have. By default any feature
                                      tag in the feature table is shown. You can
                                      set this to match any feature tag you wish
                                      to show.
                                      The tag may be wildcarded by using '*'.
                                      If you wish to show more than one tag,
                                      separate their names with the character '|',
                                      eg:
                                      gene | label (Any string)
       -valuematch         string     [*] Tag values are the values associated
                                      with a feature tag. Tags are the types of
                                      extra values that a feature may have. By
                                      default any feature tag value in the feature
                                      table is shown. You can set this to match
                                      any feature tag value you wish to show.
                                      The tag value may be wildcarded by using
                                      '*'.
                                      If you wish to show more than one tag value,
                                      separate their names with the character
                                      '|', eg:
                                      pax* | 10 (Any string)
       -stricttags         boolean    [N] By default if any tag/value pair in a
                                      feature matches the specified tag and value,
                                      then all the tags/value pairs of that
                                      feature will be displayed. If this is set to
                                      be true, then only those tag/value pairs in
                                      a feature that match the specified tag and
                                      value will be displayed.

       Advanced (Unprompted) qualifiers:
       -threeletter        boolean    [N] Display protein sequences in
                                      three-letter code
       -number             boolean    [N] Number the sequences
       -width              integer    [60] Width of sequence to display (Integer 1
                                      or more)
       -length             integer    [0] Line length of page (0 for indefinite)
                                      (Integer 0 or more)
       -margin             integer    [10] Margin around sequence for numbering
                                      (Integer 0 or more)
       -[no]name           boolean    [Y] Set this to be false if you do not wish
                                      to display the ID name of the sequence
       -[no]description    boolean    [Y] Set this to be false if you do not wish
                                      to display the description of the sequence
       -offset             integer    [1] Offset to start numbering the sequence
                                      from (Any integer value)
       -html               boolean    [N] Use HTML formatting

       Associated qualifiers:

       "-sequence" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -scircular1         boolean    Sequence is circular
       -squick1            boolean    Read id and sequence only
       -sformat1           string     Input sequence format
       -iquery1            string     Input query fields or ID list
       -ioffset1           integer    Input start position offset
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-outfile" associated qualifiers
       -odirectory2        string     Output directory

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write first file to standard output
       -filter             boolean    Read first file from standard input, write
                                      first file to standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options and exit. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report dying program messages
       -version            boolean    Report version number and exit

Qualifier | Type | Description | Allowed values | Default
--- | --- | --- | --- | ---
Standard (Mandatory) qualifiers
[-sequence] (Parameter 1) | seqall | (Gapped) protein sequence(s) filename and optional format, or reference (input USA) | Readable sequence(s) | Required

-format

list

Display format

0 | (Enter your own list of things to display)
1 | (Sequence only)
2 | (Default sequence with features)
3 | (Pretty sequence 4:Baroque)

2

-things

list

Specify a list of one or more code characters in the order in which you wish things to be displayed one above the other down the page. For example if you wish to see things displayed in the order: sequence, ticks line, blank line; then you should enter 'S,T,B'.

S | (Sequence)
B | (Blank line)
T | (Ticks line)
N | (Number ticks line)
F | (Features)
A | (Annotation)

B,N,T,S,A,F

[-outfile] (Parameter 2) | outfile | Output file name | Output file | <*>.showpep
Additional (Optional) qualifiers

-uppercase

range

Regions to put in uppercase. If this is left blank, then the sequence case is left alone. A set of regions is specified by a set of pairs of positions. The positions are integers. They are separated by any non-digit, non-alpha character. Examples of region specifications are: 24-45, 56-78 1:45, 67=99;765..888 1,5,8,10,23,45,57,99

Sequence range

If this is left blank, then the sequence case is left alone.

-highlight

range

Regions to colour if formatting for HTML. If this is left blank, then the sequence is left alone. A set of regions is specified by a set of pairs of positions. The positions are integers. They are followed by any valid HTML font colour. Examples of region specifications are: 24-45 blue 56-78 orange 1-100 green 120-156 red A file of ranges to colour (one range per line) can be specified as '@filename'.

Sequence range

full sequence

-annotation

range

Regions to annotate by marking. If this is left blank, then no annotation is added. A set of regions is specified by a set of pairs of positions followed by optional text. The positions are integers. They are followed by any text (but not digits when on the command-line). Examples of region specifications are: 24-45 new domain 56-78 match to Mouse 1-100 First part 120-156 oligo A file of ranges to annotate (one range per line) can be specified as '@filename'.

Sequence range

If this is left blank, then no annotation is added.

-sourcematch

string

By default any feature source in the feature table is shown. You can set this to match any feature source you wish to show. The source name is usually either the name of the program that detected the feature or it is the feature table (eg: EMBL) that the feature came from. The source may be wildcarded by using '*'. If you wish to show more than one source, separate their names with the character '|', eg: gene* | embl

Any string

*

-typematch

string

By default any feature type in the feature table is shown. You can set this to match any feature type you wish to show. See http://www.ebi.ac.uk/embl/WebFeat/ for a list of the EMBL feature types and see Appendix A of the Swissprot user manual in http://www.expasy.org/sprot/userman.html for a list of the Swissprot feature types. The type may be wildcarded by using '*'. If you wish to show more than one type, separate their names with the character '|', eg: *UTR | intron

Any string

*

-minscore | float | Minimum score of feature to display (see also maxscore) | Any numeric value | 0.0
-maxscore | float | Maximum score of feature to display. If both minscore and maxscore are zero (the default), then any score is ignored | Any numeric value | 0.0
-tagmatch | string | Tags are the types of extra values that a feature may have. By default any feature tag in the feature table is shown. You can set this to match any feature tag you wish to show. The tag may be wildcarded by using '*'. If you wish to show more than one tag, separate their names with the character '|', eg: gene | label | Any string | *

-valuematch

string

Tag values are the values associated with a feature tag. Tags are the types of extra values that a feature may have. By default any feature tag value in the feature table is shown. You can set this to match any feature tag value you wish to show. The tag value may be wildcarded by using '*'. If you wish to show more than one tag value, separate their names with the character '|', eg: pax* | 10

Any string

*

-stricttags | boolean | By default if any tag/value pair in a feature matches the specified tag and value, then all the tags/value pairs of that feature will be displayed. If this is set to be true, then only those tag/value pairs in a feature that match the specified tag and value will be displayed. | Boolean value Yes/No | No
Advanced (Unprompted) qualifiers
-threeletter | boolean | Display protein sequences in three-letter code | Boolean value Yes/No | No
-number | boolean | Number the sequences | Boolean value Yes/No | No
-width | integer | Width of sequence to display | Integer 1 or more | 60
-length | integer | Line length of page (0 for indefinite) | Integer 0 or more | 0
-margin | integer | Margin around sequence for numbering | Integer 0 or more | 10
-[no]name | boolean | Set this to be false if you do not wish to display the ID name of the sequence | Boolean value Yes/No | Yes
-[no]description | boolean | Set this to be false if you do not wish to display the description of the sequence | Boolean value Yes/No | Yes
-offset | integer | Offset to start numbering the sequence from | Any integer value | 1
-html | boolean | Use HTML formatting | Boolean value Yes/No | No
Associated qualifiers
"-sequence" associated seqall qualifiers
-sbegin1 -sbegin_sequence | integer | Start of each sequence to be used | Any integer value | 0
-send1 -send_sequence | integer | End of each sequence to be used | Any integer value | 0
-sreverse1 -sreverse_sequence | boolean | Reverse (if DNA) | Boolean value Yes/No | N
-sask1 -sask_sequence | boolean | Ask for begin/end/reverse | Boolean value Yes/No | N
-snucleotide1 -snucleotide_sequence | boolean | Sequence is nucleotide | Boolean value Yes/No | N
-sprotein1 -sprotein_sequence | boolean | Sequence is protein | Boolean value Yes/No | N
-slower1 -slower_sequence | boolean | Make lower case | Boolean value Yes/No | N
-supper1 -supper_sequence | boolean | Make upper case | Boolean value Yes/No | N
-scircular1 -scircular_sequence | boolean | Sequence is circular | Boolean value Yes/No | N
-squick1 -squick_sequence | boolean | Read id and sequence only | Boolean value Yes/No | N
-sformat1 -sformat_sequence | string | Input sequence format | Any string |
-iquery1 -iquery_sequence | string | Input query fields or ID list | Any string |
-ioffset1 -ioffset_sequence | integer | Input start position offset | Any integer value | 0
-sdbname1 -sdbname_sequence | string | Database name | Any string |
-sid1 -sid_sequence | string | Entryname | Any string |
-ufo1 -ufo_sequence | string | UFO features | Any string |
-fformat1 -fformat_sequence | string | Features format | Any string |
-fopenfile1 -fopenfile_sequence | string | Features file name | Any string |
"-outfile" associated outfile qualifiers
-odirectory2 -odirectory_outfile | string | Output directory | Any string |
General qualifiers
-auto | boolean | Turn off prompts | Boolean value Yes/No | N
-stdout | boolean | Write first file to standard output | Boolean value Yes/No | N
-filter | boolean | Read first file from standard input, write first file to standard output | Boolean value Yes/No | N
-options | boolean | Prompt for standard and additional values | Boolean value Yes/No | N
-debug | boolean | Write debug output to program.dbg | Boolean value Yes/No | N
-verbose | boolean | Report some/full command line options | Boolean value Yes/No | Y
-help | boolean | Report command line options and exit. More information on associated and general qualifiers can be found with -help -verbose | Boolean value Yes/No | N
-warning | boolean | Report warnings | Boolean value Yes/No | Y
-error | boolean | Report errors | Boolean value Yes/No | Y
-fatal | boolean | Report fatal errors | Boolean value Yes/No | Y
-die | boolean | Report dying program messages | Boolean value Yes/No | Y
-version | boolean | Report version number and exit | Boolean value Yes/No | N

## Input file format

showpep reads one or more protein sequences.

The input is a standard EMBOSS sequence query (also known as a 'USA').

Major sequence database sources defined as standard in EMBOSS installations include srs:embl, srs:uniprot and ensembl

Data can also be read from sequence output in any supported format written by an EMBOSS or third-party application.

The input format can be specified by using the command-line qualifier `-sformat xxx`, where 'xxx' is replaced by the name of the required format. The available format names are: gff (gff3), gff2, embl (em), genbank (gb, refseq), ddbj, refseqp, pir (nbrf), swissprot (swiss, sw), dasgff and debug.

See: http://emboss.sf.net/docs/themes/SequenceFormats.html for further information on sequence formats.

### Input files for usage example

'tsw:laci_ecoli' is a sequence entry in the example protein database 'tsw'

### Database entry: tsw:laci_ecoli

    ID   LACI_ECOLI              Reviewed;         360 AA.
    AC   P03023; O09196; P71309; Q2MC79; Q47338;
    DT   21-JUL-1986, integrated into UniProtKB/Swiss-Prot.
    DT   19-JUL-2003, sequence version 3.
    DT   13-JUN-2012, entry version 136.
    DE   RecName: Full=Lactose operon repressor;
    GN   Name=lacI; OrderedLocusNames=b0345, JW0336;
    OS   Escherichia coli (strain K12).
    OC   Bacteria; Proteobacteria; Gammaproteobacteria; Enterobacteriales;
    OC   Enterobacteriaceae; Escherichia.
    OX   NCBI_TaxID=83333;
    RN   [1]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA].
    RX   MEDLINE=78246991; PubMed=355891; DOI=10.1038/274765a0;
    RA   Farabaugh P.J.;
    RT   "Sequence of the lacI gene.";
    RL   Nature 274:765-769(1978).
    RN   [2]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA].
    RA   Chen J., Matthews K.K.S.M.;
    RL   Submitted (MAY-1991) to the EMBL/GenBank/DDBJ databases.
    RN   [3]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA].
    RA   Marsh S.;
    RL   Submitted (JAN-1997) to the EMBL/GenBank/DDBJ databases.
    RN   [4]
    RP   NUCLEOTIDE SEQUENCE [LARGE SCALE GENOMIC DNA].
    RC   STRAIN=K12 / MG1655 / ATCC 47076;
    RA   Chung E., Allen E., Araujo R., Aparicio A.M., Davis K., Duncan M.,
    RA   Federspiel N., Hyman R., Kalman S., Komp C., Kurdi O., Lew H., Lin D.,
    RA   Namath A., Oefner P., Roberts D., Schramm S., Davis R.W.;
    RT   "Sequence of minutes 4-25 of Escherichia coli.";
    RL   Submitted (JAN-1997) to the EMBL/GenBank/DDBJ databases.
    RN   [5]
    RP   NUCLEOTIDE SEQUENCE [LARGE SCALE GENOMIC DNA].
    RC   STRAIN=K12 / MG1655 / ATCC 47076;
    RX   MEDLINE=97426617; PubMed=9278503; DOI=10.1126/science.277.5331.1453;
    RA   Blattner F.R., Plunkett G. III, Bloch C.A., Perna N.T., Burland V.,
    RA   Riley M., Collado-Vides J., Glasner J.D., Rode C.K., Mayhew G.F.,
    RA   Gregor J., Davis N.W., Kirkpatrick H.A., Goeden M.A., Rose D.J.,
    RA   Mau B., Shao Y.;
    RT   "The complete genome sequence of Escherichia coli K-12.";
    RL   Science 277:1453-1474(1997).
    RN   [6]
    RP   NUCLEOTIDE SEQUENCE [LARGE SCALE GENOMIC DNA].
    RC   STRAIN=K12 / W3110 / ATCC 27325 / DSM 5911;
    RX   PubMed=16738553; DOI=10.1038/msb4100049;
    RA   Hayashi K., Morooka N., Yamamoto Y., Fujita K., Isono K., Choi S.,
    RA   Ohtsubo E., Baba T., Wanner B.L., Mori H., Horiuchi T.;
    RT   "Highly accurate genome sequences of Escherichia coli K-12 strains

      [Part of this file has been deleted for brevity]

    FT   CHAIN         1    360       Lactose operon repressor.
    FT                                /FTId=PRO_0000107963.
    FT   DOMAIN        1     58       HTH lacI-type.
    FT   DNA_BIND      6     25       H-T-H motif.
    FT   VARIANT     282    282       Y -> D (in T41 mutant).
    FT   MUTAGEN      17     17       Y->H: Broadening of specificity.
    FT   MUTAGEN      22     22       R->N: Recognizes an operator variant.
    FT   CONFLICT    286    286       L -> S (in Ref. 1, 4 and 7).
    FT   HELIX         6     11
    FT   TURN         12     14
    FT   HELIX        17     24
    FT   HELIX        33     45
    FT   HELIX        51     56
    FT   STRAND       63     69
    FT   HELIX        74     89
    FT   STRAND       93     98
    FT   STRAND      101    103
    FT   HELIX       104    115
    FT   TURN        116    118
    FT   STRAND      122    126
    FT   HELIX       130    139
    FT   TURN        140    142
    FT   STRAND      145    150
    FT   STRAND      154    156
    FT   STRAND      158    161
    FT   HELIX       163    177
    FT   STRAND      181    186
    FT   HELIX       192    207
    FT   STRAND      213    217
    FT   HELIX       222    234
    FT   STRAND      240    246
    FT   HELIX       247    259
    FT   TURN        265    267
    FT   STRAND      268    271
    FT   HELIX       277    281
    FT   STRAND      282    284
    FT   STRAND      287    290
    FT   HELIX       293    308
    FT   STRAND      314    319
    FT   STRAND      322    324
    FT   STRAND      334    338
    FT   HELIX       343    353
    FT   HELIX       354    356
    SQ   SEQUENCE   360 AA;  38590 MW;  347A8DEE92D736CB CRC64;
         MKPVTLYDVA EYAGVSYQTV SRVVNQASHV SAKTREKVEA AMAELNYIPN RVAQQLAGKQ
         SLLIGVATSS LALHAPSQIV AAIKSRADQL GASVVVSMVE RSGVEACKAA VHNLLAQRVS
         GLIINYPLDD QDAIAVEAAC TNVPALFLDV SDQTPINSII FSHEDGTRLG VEHLVALGHQ
         QIALLAGPLS SVSARLRLAG WHKYLTRNQI QPIAEREGDW SAMSGFQQTM QMLNEGIVPT
         AMLVANDQMA LGAMRAITES GLRVGADISV VGYDDTEDSS CYIPPLTTIK QDFRLLGQTS
         VDRLLQLSQG QAVKGNQLLP VSLVKRKTTL APNTQTASPR ALADSLMQLA RQVSRLESGQ
    //

### Input files for usage example 4

### Database entry: tsw:rs24_takru

    ID   RS24_TAKRU              Reviewed;         132 AA.
    AC   O42387;
    DT   15-JUL-1998, integrated into UniProtKB/Swiss-Prot.
    DT   01-JAN-1998, sequence version 1.
    DT   16-MAY-2012, entry version 54.
    DE   RecName: Full=40S ribosomal protein S24;
    GN   Name=rps24;
    OS   Takifugu rubripes (Japanese pufferfish) (Fugu rubripes).
    OC   Eukaryota; Metazoa; Chordata; Craniata; Vertebrata; Euteleostomi;
    OC   Actinopterygii; Neopterygii; Teleostei; Euteleostei; Neoteleostei;
    OC   Acanthomorpha; Acanthopterygii; Percomorpha; Tetraodontiformes;
    OC   Tetradontoidea; Tetraodontidae; Takifugu.
    OX   NCBI_TaxID=31033;
    RN   [1]
    RP   NUCLEOTIDE SEQUENCE [GENOMIC DNA].
    RA   Crosio C., Cecconi F., Giorgi M., Amaldi F., Mariottini P.;
    RL   Submitted (SEP-1997) to the EMBL/GenBank/DDBJ databases.
    CC   -!- SIMILARITY: Belongs to the ribosomal protein S24e family.
    CC   -----------------------------------------------------------------------
    CC   Copyrighted by the UniProt Consortium, see http://www.uniprot.org/terms
    CC   Distributed under the Creative Commons Attribution-NoDerivs License
    CC   -----------------------------------------------------------------------
    DR   EMBL; AJ001398; CAA04728.1; -; Genomic_DNA.
    DR   ProteinModelPortal; O42387; -.
    DR   STRING; O42387; -.
    DR   PRIDE; O42387; -.
    DR   eggNOG; COG2004; -.
    DR   InParanoid; O42387; -.
    DR   GO; GO:0005840; C:ribosome; IEA:UniProtKB-KW.
    DR   GO; GO:0000166; F:nucleotide binding; IEA:InterPro.
    DR   GO; GO:0003735; F:structural constituent of ribosome; IEA:InterPro.
    DR   GO; GO:0006412; P:translation; IEA:InterPro.
    DR   Gene3D; G3DSA:3.30.70.330; a_b_plait_nuc_bd; 1.
    DR   InterPro; IPR012677; Nucleotide-bd_a/b_plait.
    DR   InterPro; IPR012678; Ribosomal_L23/L15e_core_dom.
    DR   InterPro; IPR001976; Ribosomal_S24e.
    DR   InterPro; IPR018098; Ribosomal_S24e_CS.
    DR   PANTHER; PTHR10496; Ribosomal_S24E; 1.
    DR   Pfam; PF01282; Ribosomal_S24e; 1.
    DR   ProDom; PD006052; Ribosomal_S24e; 1.
    DR   SUPFAM; SSF54189; L23_L15e_core; 1.
    DR   PROSITE; PS00529; RIBOSOMAL_S24E; 1.
    PE   3: Inferred from homology;
    KW   Complete proteome; Reference proteome; Ribonucleoprotein;
    KW   Ribosomal protein.
    FT   CHAIN         1    132       40S ribosomal protein S24.
    FT                                /FTId=PRO_0000137627.
    SQ   SEQUENCE   132 AA;  15305 MW;  DC437F60F20C14F5 CRC64;
         MNDTVTVRTR KFMTNRLLQR KQMVVDVLHP GKATVPKTEI REKLAKMYKT TPDVVFVFGF
         RTQFGGGKTT GFAMVYDSLD YAKKNEPKHR LARHGLFEKK KTSRKQRKER KNRMKKVRGT
         KKASVGASKK KD
    //

You can specify a file of ranges to display in uppercase by giving the '-uppercase' qualifier the value '@' followed by the name of the file containing the ranges. (eg: '-upper @myfile').

The format of the range file is:

- Comment lines start with '#' in the first column.
- Comment lines and blank lines are ignored.
- The line may start with white-space.
- There are two positive (integer) numbers per line separated by one or more space or
- TAB characters.
- The second number must be greater or equal to the first number.
- There can be optional text after the two numbers to annotate the line.
- White-space before or after the text is removed.

An example range file is:

    # this is my set of ranges
    12   23
     4   5       this is like 12-23, but smaller
    67   10348   interesting region

You can specify a file of ranges to highlight in a different colour when outputting in HTML format (using the '-html' qualifier) by giving the '-highlight' qualifier the value '@' followed by the name of the file containing the ranges. (eg: '-highlight @myfile').

The format of this file is very similar to the format of the above uppercase range file, except that the text after the start and end positions is used as the HTML colour name. This colour name is used 'as is' when specifying the colour in HTML in a '' construct, (where 'xxx' is the name of the colour).

The standard names of HTML font colours are given in http://http://www.w3.org/TR/REC-html40/types.html#h-6.5

An example highlight range file is:

    # this is my set of ranges
    12   23         red
     4   5          darkturquoise
    67   10348      #FFE4E1

You can specify a file of ranges to annotate by giving the '-annotate' qualifier the value '@' followed by the name of the file containing the ranges. (eg: '-annotate @myfile').

The format of this file is very similar to the format of the above highlight range file, except that the text after the start and end positions is used as the displayed text of the annotated region.

An example annotation range file is:

    # this is my set of ranges
    12   23         exon 1
     4   5          CAP site
    67   10348      exon 2

## Output file format

### Output files for usage example

### File: laci_ecoli.showpep

    LACI_ECOLI
    Lactose operon repressor

                       10        20        30        40        50        60
              ----:----|----:----|----:----|----:----|----:----|----:----|
              MKPVTLYDVAEYAGVSYQTVSRVVNQASHVSAKTREKVEAAMAELNYIPNRVAQQLAGKQ
              |===========================================================
              mature_protein_region note="Lactose operon repressor" ftid="PRO_00001
              |========================================================|
              polypeptide_domain note="HTH lacI-type"
                   |==================|                         |====|
                   DNA_contact note="H-T-H motif"               alpha_helix
                              |
              mutated_variant_site note="Y->H: Broadening of specificity"
                                   |
              mutated_variant_site note="R->N: Recognizes an operator variant"
                   |====|                     |===========|
                   alpha_helix                alpha_helix
                         |=|
                         polypeptide_turn_motif
                              |======|
                              alpha_helix

                       70        80        90        100
              ----:----|----:----|----:----|----:----|
              SLLIGVATSSLALHAPSQIVAAIKSRADQLGASVVVSMVE
              ========================================
              mature_protein_region note="Lactose operon repressor" ftid="PRO_00001
                |=====|                       |====|
                beta_strand                   beta_strand
                           |==============|
                           alpha_helix

### Output files for usage example 2

### File: laci_ecoli.showpep

    LACI_ECOLI
    Lactose operon repressor

              ----:----|----:----|----:----|----:----|----:----|----:----|
              MKPVTLYDVAEYAGVSYQTVSRVVNQASHVSAKTREKVEAAMAELNYIPNRVAQQLAGKQ

              ----:----|----:----|----:----|----:----|----:----|----:----|
              SLLIGVATSSLALHAPSQIVAAIKSRADQLGASVVVSMVERSGVEACKAAVHNLLAQRVS

### Output files for usage example 3

### File: laci_ecoli.showpep

              MKPVTLYDVAEYAGVSYQTVSRVVNQASHVSAKTREKVEAAMAELNYIPNRVAQQLAGKQ
              SLLIGVATSSLALHAPSQIVAAIKSRADQLGASVVVSMVE

### Output files for usage example 4

### File: rs24_takru.showpep

    RS24_TAKRU
    40S ribosomal protein S24

                       10        20        30        40        50        60
              ----:----|----:----|----:----|----:----|----:----|----:----|
              MAATVTVATALPMTAALLGALGMVVAVLHPGLATVPLTGIAGLLALMTLTTPAVVPVPGP
              esshaharhryhehsreelryleaasaeirlylharyhllrlyelyeyyhhrsaahahlh
              tnprlrlgrgsetrnguungsntllplusoysarlosruegusuastrsrroplleleye
              |===========================================================
              mature_protein_region note="40S ribosomal protein S24" ftid="PRO_0000

                       70        80        90        100       110       120
              ----:----|----:----|----:----|----:----|----:----|----:----|
              ATGPGGGLTTGPAMVTASLATALLAGPLHALAAHGLPGLLLTSALGALGALAAMLLVAGT
              rhlhlllyhhlhleayseesylyyslryirelrilehlyyyherylrylrysreyyarlh
              grneyyysrryeatlrpruprassnuossguagsyueusssrrgsngsugsngtsslgyr
              ============================================================
              mature_protein_region note="40S ribosomal protein S24" ftid="PRO_0000

                       130
              ----:----|--
              LLASVGASLLLA
              yylealleyyys
              ssarlyarsssp
              ===========|
              mature_protein_region note="40S ribosomal protein S24" ftid="PRO_0000

### Output files for usage example 5

### File: laci_ecoli.showpep

    LACI_ECOLI
    Lactose operon repressor
            1 MKPVTLYDVAEYAGVSYQTVSRVVNQASHVSAKTREKVEAAMAELNYIPNRVAQQLAGKQ 60
           61 SLLIGVATSSLALHAPSQIVAAIKSRADQLGASVVVSMVE 100

### Output files for usage example 6

### File: laci_ecoli.showpep

    LACI_ECOLI
    Lactose operon repressor
          123 MKPVTLYDVAEYAGVSYQTVSRVVNQASHVSAKTREKVEAAMAELNYIPNRVAQQLAGKQ 182
          183 SLLIGVATSSLALHAPSQIVAAIKSRADQLGASVVVSMVE 222

### Output files for usage example 7

### File: laci_ecoli.showpep

    LACI_ECOLI
    Lactose operon repressor
              mkpvtlydvaeyagvsYqtvsRvvnqashvsaktrekveaamaelnyipnrvaqqlagkq
              slligvatsslalhapsqivaaiksradqlgasvvvsmve

### Output files for usage example 8

### File: laci_ecoli.showpep

    LACI_ECOLI
    Lactose operon repressor

                       10        20        30        40        50        60
              ----:----|----:----|----:----|----:----|----:----|----:----|
              MKPVTLYDVAEYAGVSYQTVSRVVNQASHVSAKTREKVEAAMAELNYIPNRVAQQLAGKQ
                   |------------------|
                   binding site
                              |    |
                              SNP  SNP
              |===========================================================
              mature_protein_region note="Lactose operon repressor" ftid="PRO_00001
              |========================================================|
              polypeptide_domain note="HTH lacI-type"
                   |==================|                         |====|
                   DNA_contact note="H-T-H motif"               alpha_helix
                              |
              mutated_variant_site note="Y->H: Broadening of specificity"
                                   |
              mutated_variant_site note="R->N: Recognizes an operator variant"
                   |====|                     |===========|
                   alpha_helix                alpha_helix
                         |=|
                         polypeptide_turn_motif
                              |======|
                              alpha_helix

                       70        80        90        100       110       120
              ----:----|----:----|----:----|----:----|----:----|----:----|
              SLLIGVATSSLALHAPSQIVAAIKSRADQLGASVVVSMVERSGVEACKAAVHNLLAQRVS
              ============================================================
              mature_protein_region note="Lactose operon repressor" ftid="PRO_00001
                |=====|                       |====|
                beta_strand                   beta_strand
                           |==============|           |=|
                           alpha_helix                beta_strand
                                                         |==========|
                                                         alpha_helix
                                                                     |=|
                                                  polypeptide_turn_motif

Most of the variants of the output format have already been described in the 'Description' and 'Usage' sections, but here is some more just to fill out this section.

The output format is extremely variable and under the control of the qualifiers used.

The sequence can be formatted for HTML display by using the '-html' qualifier. The top and tail html tags <HEAD>, <BODY> etc. are not included as it is expected that the output of this program will be included in a more extensive HTML page and so these parts are left to the user to provide.

The name of the sequence is displayed, followed by the description of the sequence. These can be turned off with the '-noname' and '-nodescription' qualifiers.

Then the sequence is output, one line at a time. Any associated information to be displayed is also output above and below the sequence line, as specified by the '-format' and or '-things' qualifiers. (See the 'Description' section for detals).

The margins around the sequence are specified by the use of the '-margin' qaulifier and any numbering of the sequence and its translations are placed in the margin.

## Data files

EMBOSS data files are distributed with the application and stored in the standard EMBOSS data directory, which is defined by the EMBOSS environment variable EMBOSS_DATA.

To see the available EMBOSS data files, run:

    % embossdata -showall

To fetch one of the data files (for example 'Exxx.dat') into your current directory for you to inspect or modify, run:

    % embossdata -fetch -file Exxx.dat

Users can provide their own data files in their own directories. Project specific files can be put in the current directory, or for tidier directory listings in a subdirectory called ".embossdata". Files for all EMBOSS runs can be put in the user's home directory, or again in a subdirectory called ".embossdata".

The directories are searched in the following order:

- . (your current directory)
- .embossdata (under your current directory)
- ~/ (your home directory)
- ~/.embossdata

The Genetic Code data files are based on the NCBI genetic code tables. Their names and descriptions are:

EGC.0
  Standard (Differs from GC.1 in that it only has initiation site 'AUG')
EGC.1
  Standard
EGC.2
  Vertebrate Mitochodrial
EGC.3
  Yeast Mitochondrial
EGC.4
  Mold, Protozoan, Coelenterate Mitochondrial and Mycoplasma/Spiroplasma
EGC.5
  Invertebrate Mitochondrial
EGC.6
  Ciliate Macronuclear and Dasycladacean
EGC.9
  Echinoderm Mitochondrial
EGC.10
  Euplotid Nuclear
EGC.11
  Bacterial
EGC.12
  Alternative Yeast Nuclear
EGC.13
  Ascidian Mitochondrial
EGC.14
  Flatworm Mitochondrial
EGC.15
  Blepharisma Macronuclear
EGC.16
  Chlorophycean Mitochondrial
EGC.21
  Trematode Mitochondrial
EGC.22
  Scenedesmus obliquus
EGC.23
  Thraustochytrium Mitochondrial

The format of these files is very simple.

It consists of several lines of optional comments, each starting with a '#' character.

These are followed the line: 'Genetic Code [n]', where 'n' is the number of the genetic code file.

This is followed by the description of the code and then by four lines giving the IUPAC one-letter code of the translated amino acid, the start codons (indicdated by an 'M') and the three bases of the codon, lined up one on top of the other.

For example:

    ------------------------------------------------------------------------------
    # Genetic Code Table
    #
    # Obtained from: http://www.ncbi.nlm.nih.gov/collab/FT/genetic_codes.html
    # and: http://www3.ncbi.nlm.nih.gov/htbin-post/Taxonomy/wprintgc?mode=c
    #
    # Differs from Genetic Code [1] only in that the initiation sites have been
    # changed to only 'AUG'

    Genetic Code [0]
    Standard

    AAs  =   FFLLSSSSYY**CC*WLLLLPPPPHHQQRRRRIIIMTTTTNNKKSSRRVVVVAAAADDEEGGGG
    Starts = -----------------------------------M----------------------------
    Base1  = TTTTTTTTTTTTTTTTCCCCCCCCCCCCCCCCAAAAAAAAAAAAAAAAGGGGGGGGGGGGGGGG
    Base2  = TTTTCCCCAAAAGGGGTTTTCCCCAAAAGGGGTTTTCCCCAAAAGGGGTTTTCCCCAAAAGGGG
    Base3  = TCAGTCAGTCAGTCAGTCAGTCAGTCAGTCAGTCAGTCAGTCAGTCAGTCAGTCAGTCAGTCAG
    ------------------------------------------------------------------------------

The EMBOSS REBASE restriction enzyme data files are stored in directory 'data/REBASE/*' under the EMBOSS installation directory.

These files must first be set up using the program 'rebaseextract'. Running 'rebaseextract' may be the job of your system manager.

The data files are stored in the REBASE directory of the standard EMBOSS data directory. The names are:

- embossre.enz Cleavage information
- embossre.ref Reference/methylation information
- embossre.sup Supplier information

The column information is described at the top of the data files

The reported enzyme from any one group of isoschizomers (the prototype) is specified in the REBASE database and the information is held in the data file 'embossre.equ'. You may edit this file to set your own preferred prototype, if you wish.

The format of the file "embossre.equ" is
Enzyme-name Prototype-name

i.e. two columns of enzyme names separated by a space. The first name of the pair of enzymes is the name that is not preferred and the second is the preferred (prototype) name.

## Notes

One or more things may be selected for display from a menu (`-things` option). The order of specified characters (upper or lower case) determines the order in the output:

    s	Sequence
    b	Blank line
    t	Ticks line
    n	Number ticks line
    f	Features (from the feature table or from a command line -ufo file)
    a	User Annotation

Alternatively, there is a selection of pre-defined formats to choose from. The codes from above used in the list of standard formats are:

    Sequence only:                  S A
    Default sequence:               B N T S A F
    Pretty sequence:                B N T S A
    Baroque:                        B N T S T A F

The default standard format displays the following: for every new line that the sequence starts to write, the output display will contain first a blank line (`b`), then the position numbers of the ticks (`n`) then the ticks every 10 characters (`t`) then the sequence itself (`s`) then any user-supplied annotation (`a`) then the features from the feature table (`f`). Subsequent lines of the sequence output will repeat this format.

The output can be formatted for HTML. If the output is being formatted for HTML, then specified regions of the sequence can be displayed in any valid HTML colours.

If the sequence is in SwissProt format, the feature table of the sequence can be displayed with the sequence. GFF file features can also be displayed if they are included on the command line using `-ufo=file`.

Other display options include: The displayed sequence can be numbered either by numbering the start and ending positions, or by placing a ruler with ticks above or below the sequence. An initial position to start the numbering from can be set. The width of a line, and width of a margin around the sequence reserved for numbering can be set. Specified regions of the sequence can be displayed in uppercase to highlight them.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It always exits with status 0.

## Known bugs

None known.

## See also

Program name | Description
--- | ---
abiview | Display the trace in an ABI sequencer file
cirdna | Draw circular map of DNA constructs
iep | Calculate the isoelectric point of proteins
lindna | Draw linear maps of DNA constructs
pepinfo | Plot amino acid properties of a protein sequence in parallel
pepnet | Draw a helical net for a protein sequence
pepwheel | Draw a helical wheel diagram for a protein sequence
plotorf | Plot potential open reading frames in a nucleotide sequence
prettyplot | Draw a sequence alignment with pretty formatting
prettyseq | Write a nucleotide sequence and its translation to file
remap | Display restriction enzyme binding sites in a nucleotide sequence
showfeat | Display features of a sequence in pretty format
sixpack | Display a DNA sequence with 6-frame translation and ORFs

## Author(s)

Gary Williams formerly at:
MRC Rosalind Franklin Centre for Genomics Research Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SB, UK

Please report all bugs to the EMBOSS bug team (emboss-bug © emboss.open-bio.org) not to the original author.

## History

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

None